# Fraud Check

## POST /{sid}/fraudcheck

> Create a fraudcheck

```json
{"openapi":"3.0.0","info":{"title":"Txshield Api Version 1","version":"1.0"},"servers":[{"url":"/api/v1/index.php"}],"paths":{"/{sid}/fraudcheck":{"post":{"tags":["transaction"],"description":"Create a fraudcheck","parameters":[{"name":"sid","in":"path","description":"ID of site","required":true,"schema":{"type":"integer"}}],"requestBody":{"$ref":"#/components/requestBodies/post_sid_fraudcheck"},"responses":{"200":{"description":"Fraudcheck result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/fraudcheckResponse"}}}},"default":{"description":"unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorModel"}}}}}}}},"components":{"requestBodies":{"post_sid_fraudcheck":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"hash":{"description":"md5 hash of sid+timestamp+amounttotal+currency+rcode e.g. md5('22'.'1234568995265421'.'17.00'.'USD'.'222b6c')","type":"string"},"timestamp":{"description":"timestamp value used in the hash e.g. 1234568995265421","type":"string"},"tid":{"description":"Merchant reference","type":"string"},"card_type":{"description":"type of card(visa/mastercard)","type":"string"},"card_no":{"description":"The card number or the bin","type":"integer","format":"int64"},"card_exp_month":{"description":"2 digit for the month. Please have leading zeroes e.g. 05","type":"string"},"card_exp_year":{"description":"4 digit year i.e. 2016","type":"string"},"card_name":{"description":"The name printed on the card","type":"string"},"card_ccv":{"description":"Card CCV","type":"number"},"bank_name":{"description":"The name of the bank","type":"string"},"bank_phone":{"description":"Bank phone number","type":"string"},"routing_no":{"description":"Bank routing number","type":"string"},"mobile":{"description":"Mobile number","type":"string"},"useragent":{"description":"string identifying the software acting on behalf of a user to interact with web servers","type":"string"},"browseragent":{"description":"string helps identify which browser is being used, what version, and on which operating system","type":"string"},"dynamic_descriptor":{"description":"Business name as it appears on the customer's bank statement","type":"string"},"fingerprintsession":{"description":"device fingerprint (Unique identifier for the session)","type":"string"},"threeDSecure":{"description":"json string containing 3ds2 check values","type":"string"},"device_info":{"description":"json string containing device information check values","type":"string"},"firstname":{"description":"First name of the customer.","type":"string"},"lastname":{"description":"Last name of the customer.","type":"string"},"email":{"description":"Email of the customer.","type":"string"},"phone":{"description":"Phone of the customer.","type":"string"},"address":{"description":"Billing street address","type":"string"},"suburb_city":{"description":"Billing suburb or city","type":"string"},"state":{"description":"Billing state, 2 letter code for US/Canada. Australia should use 2/3 letter codes.","type":"string"},"country":{"description":"Billing country, ISO 3166 2 digit code.","type":"string"},"postcode":{"description":"Billing postcode/zipcode.","type":"string"},"ship_address":{"description":"Shipping street address","type":"string"},"ship_suburb_city":{"description":"Shipping suburb or city","type":"string"},"ship_state":{"description":"Shipping state, 2 letter code for US/Canada. Australia should use 2/3 letter codes.","type":"string"},"ship_country":{"description":"Shipping country, ISO 3166 2 letter code.","type":"string"},"ship_postcode":{"description":"Shipping postcode/zipcode.","type":"string"},"amount":{"description":"Amount"},"currency":{"description":"Transaction currency, ISO 3 letter code","type":"string"},"items":{"description":"Array of items in the transaction","type":"array","items":{"type":"object"}},"addinfo":{"description":"Additional information","type":"string"},"uip":{"description":"users ip address","type":"string"}},"required":["hash","card_type","card_no","card_ccv","card_exp_month","card_exp_year","card_name","timestamp","firstname","lastname","email","amount","currency"]}}}}},"schemas":{"fraudcheckResponse":{"properties":{"sid":{"type":"integer","format":"int64","description":"sid of site"},"comment":{"type":"string","description":"comment"},"tid":{"type":"string","description":"Merchant reference"},"card_issuer":{"type":"string","description":"Name of the card issuer"},"txid":{"type":"integer","format":"int64","description":"Fraud check transaction id"},"status":{"type":"string","description":"Has the value \"OK\" for a successful transaction, \"EXC\" for a failed transaction, \"PEND\" for a transaction in progress."},"tx_action":{"type":"string","description":"FRAUDCHECK"},"amount":{"type":"number","description":"The amount specified in the request"},"currency":{"type":"string","description":"The currency specified in the request"},"pay_method":{"description":"Payment method specified in request","type":"string"},"error":{"type":"object","items":{"properties":{"type":{"type":"string"},"sys":{"type":"string"},"info":{"type":"string"},"status":{"type":"string"},"response":{"type":"string"},"logext":{"type":"string"},"msgcode":{"type":"string"},"details":{"type":"string"},"code":{"type":"string","description":"The error code, if status value equal \"EXC\"."},"msg":{"type":"string","description":"The error message, if status value equal \"EXC\"."}}}},"cardbindata":{"type":"object","items":{"properties":{"bin":{"type":"string"},"card_type":{"type":"string"},"bank_name":{"type":"string"},"country":{"type":"string"},"phone":{"type":"string"},"type":{"type":"string"},"level":{"type":"string"},"www":{"type":"string"},"date_added":{"type":"string"}}}},"fraud_checks":{"type":"string","description":"Json string with the details of fraudcheck"}}},"errorModel":{"required":["code","message"],"properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payshield.ai/transaction-processing/integrations-and-apis/rest-api/fraud-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
